Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.pattern
Interface QNameTest

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AnyNodeTest, LocalNameTest, NamespaceTest, NameTest, UnionQNameTest

    public interface QNameTest

extends Serializable

Interface for tests against a QName. This is implemented by a subset of NodeTests, specifically those that are only concerned with testing the name of the node

Method Summary
`boolean` | `matches(StructuredQName qname)` Test whether the QNameTest matches a given QName

Method Detail

### matches

    boolean matches(StructuredQName qname)

  Test whether the QNameTest matches a given QName

  Parameters:
    `qname` - the QName to be matched
  Returns:
    true if the name matches, false if not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.